commit b79f0b99fde48e33ab9b01e1e2d3c184ee60cb93
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Sep 13 02:18:13 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 95cff1627a6..14ef576a574 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20210912
+20210913
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index cfbea9bc188..8fbece45136 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2021-09-12  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2021-09-12  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/102185
+	* d-builtins.cc (d_eval_constant_expression): Don't include
+	terminating null pointer in string expression conversion.
+
 2021-07-29  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index ea36c41bc24..68fe8f6b66d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-09-12  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2021-09-12  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/102185
+	* gdc.dg/pr102185.d: New test.
+
 2021-09-11  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

